package com.xkrs.microservice.model.vo;

import java.io.Serializable;
import java.util.Map;

/**
 * 7天预报
 * @author wd
 */
public class ForecastWeather7DayVo implements Serializable {
    /**
     * 城市地点
     */
    private String city;

    /**
     * 天气
     */
    private String[] weather;

    /**
     * 风向
     */
    private String[] wd;

    /**
     * 风力
     */
    private String[] ws;

    /**
     * 高温数组
     */
    private String[] tempMax;

    /**
     * 低温数组
     */
    private String[] tempMin;

    /**
     * 8天天气集合
     */
    private Map<String, Map<String, String>> weatherMap7Day;

    private static final Long serialVersionUID = 1L;

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String[] getWeather() {
        return weather;
    }

    public void setWeather(String[] weather) {
        this.weather = weather;
    }

    public String[] getWd() {
        return wd;
    }

    public void setWd(String[] wd) {
        this.wd = wd;
    }

    public String[] getWs() {
        return ws;
    }

    public void setWs(String[] ws) {
        this.ws = ws;
    }

    public String[] getTempMax() {
        return tempMax;
    }

    public void setTempMax(String[] tempMax) {
        this.tempMax = tempMax;
    }

    public String[] getTempMin() {
        return tempMin;
    }

    public void setTempMin(String[] tempMin) {
        this.tempMin = tempMin;
    }

    public Map<String, Map<String, String>> getWeatherMap7Day() {
        return weatherMap7Day;
    }

    public void setWeatherMap7Day(Map<String, Map<String, String>> weatherMap7Day) {
        this.weatherMap7Day = weatherMap7Day;
    }
}
