package com.xkrs.microservice.model.vo;

import java.io.Serializable;

/**
 * 实时天气
 * @author wd
 */
public class RealTimeWeatherVo implements Serializable {
    /**
     * 县级
     */
    private String name;
    /**
     * 区划代码
     */
    private String code;
    /**
     * 市级
     */
    private String cityName;
    /**
     * 市级代码
     */
    private String cityCode;
    /**
     * 省级
     */
    private String proName;
    /**
     * 省级代码
     */
    private String proCode;
    /**
     * 天气
     */
    private String weather;
    /**
     * 温度 摄氏度
     */
    private String temp;
    /**
     * 华氏度
     */
    private String tempf;
    /**
     * 风向
     */
    private String wd;
    /**
     * 风力
     */
    private String ws;
    /**
     * 风力速度
     */
    private String wse;
    /**
     * 湿度
     */
    private String sd;
    /**
     * 当前时间
     */
    private String realTime;
    /**
     * 气压
     */
    private String qy;
    /**
     * 能见度
     */
    private String njd;
    /**
     * 降水
     */
    private String rain;
    /**
     * 24小时降雨
     */
    private String rain24;
    /**
     * 天气
     */
    private String aqi;
    /**
     * pm2.5
     */
    private String aqiPm25;

    private static final Long serialVersionUID = 1L;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getProCode() {
        return proCode;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public String getWeather() {
        return weather;
    }

    public void setWeather(String weather) {
        this.weather = weather;
    }

    public String getWd() {
        return wd;
    }

    public void setWd(String wd) {
        this.wd = wd;
    }

    public String getWs() {
        return ws;
    }

    public void setWs(String ws) {
        this.ws = ws;
    }

    public String getSd() {
        return sd;
    }

    public void setSd(String sd) {
        this.sd = sd;
    }

    public String getRealTime() {
        return realTime;
    }

    public void setRealTime(String realTime) {
        this.realTime = realTime;
    }

    public String getQy() {
        return qy;
    }

    public void setQy(String qy) {
        this.qy = qy;
    }

    public String getNjd() {
        return njd;
    }

    public void setNjd(String njd) {
        this.njd = njd;
    }

    public String getRain() {
        return rain;
    }

    public void setRain(String rain) {
        this.rain = rain;
    }

    public String getRain24() {
        return rain24;
    }

    public void setRain24(String rain24) {
        this.rain24 = rain24;
    }

    public String getAqi() {
        return aqi;
    }

    public void setAqi(String aqi) {
        this.aqi = aqi;
    }

    public String getAqiPm25() {
        return aqiPm25;
    }

    public void setAqiPm25(String aqiPm25) {
        this.aqiPm25 = aqiPm25;
    }

    public String getTemp() {
        return temp;
    }

    public void setTemp(String temp) {
        this.temp = temp;
    }

    public String getTempf() {
        return tempf;
    }

    public void setTempf(String tempf) {
        this.tempf = tempf;
    }

    public static Long getSerialVersionUid() {
        return serialVersionUID;
    }

    public String getWse() {
        return wse;
    }

    public void setWse(String wse) {
        this.wse = wse;
    }
}
