package com.xkrs.microservice.model.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * SysUserVo
 * @Author tajochen
 */
public class SysUserVo implements Serializable {
    private Integer id;

    private String userName;

    private String nickName;

    private String realName;

    private String userCode;

    private Integer sex;

    private String telephone;

    private String email;

    private Integer admCode;

    private String address;

    private LocalDate birthday;

    private String signature;

    private String roleNameZh;

    private Integer portraitId;

    private Integer statusCode;

    private LocalDateTime addTime;

    private LocalDateTime lastEntryTime;

    private String lastEntryIp;

    private String memo;

    public SysUserVo(Integer id, String userName, String nickName,String realName,String userCode, Integer sex, String telephone,
                      String email, Integer admCode, String address, LocalDate birthday, String signature,String roleNameZh,
                     Integer portraitId, Integer statusCode, LocalDateTime addTime, LocalDateTime lastEntryTime, String lastEntryIp,
                     String memo) {
        this.id = id;
        this.userName = userName;
        this.nickName = nickName;
        this.realName = realName;
        this.userCode = userCode;
        this.sex = sex;
        this.telephone = telephone;
        this.email = email;
        this.admCode = admCode;
        this.address = address;
        this.birthday = birthday;
        this.signature = signature;
        this.roleNameZh = roleNameZh;
        this.portraitId = portraitId;
        this.statusCode = statusCode;
        this.addTime = addTime;
        this.lastEntryTime = lastEntryTime;
        this.lastEntryIp = lastEntryIp;
        this.memo = memo;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getAdmCode() {
        return admCode;
    }

    public void setAdmCode(Integer admCode) {
        this.admCode = admCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public LocalDate getBirthday() {
        return birthday;
    }

    public void setBirthday(LocalDate birthday) {
        this.birthday = birthday;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getRoleNameZh() {
        return roleNameZh;
    }

    public void setRoleNameZh(String roleNameZh) {
        this.roleNameZh = roleNameZh;
    }

    public Integer getPortraitId() {
        return portraitId;
    }

    public void setPortraitId(Integer portraitId) {
        this.portraitId = portraitId;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public LocalDateTime getAddTime() {
        return addTime;
    }

    public void setAddTime(LocalDateTime addTime) {
        this.addTime = addTime;
    }

    public LocalDateTime getLastEntryTime() {
        return lastEntryTime;
    }

    public void setLastEntryTime(LocalDateTime lastEntryTime) {
        this.lastEntryTime = lastEntryTime;
    }

    public String getLastEntryIp() {
        return lastEntryIp;
    }

    public void setLastEntryIp(String lastEntryIp) {
        this.lastEntryIp = lastEntryIp;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String toString() {
        return "SysUserVo{" +
                "id=" + id +
                ", userName='" + userName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", realName='" + realName + '\'' +
                ", userCode='" + userCode + '\'' +
                ", sex=" + sex +
                ", telephone='" + telephone + '\'' +
                ", email='" + email + '\'' +
                ", admCode=" + admCode +
                ", address='" + address + '\'' +
                ", birthday=" + birthday +
                ", signature='" + signature + '\'' +
                ", roleNameZh='" + roleNameZh + '\'' +
                ", portraitId=" + portraitId +
                ", statusCode=" + statusCode +
                ", addTime=" + addTime +
                ", lastEntryTime=" + lastEntryTime +
                ", lastEntryIp='" + lastEntryIp + '\'' +
                ", memo='" + memo + '\'' +
                '}';
    }
}

