package com.xkrs.microservice.service;

import com.xkrs.microservice.model.entity.*;

/**
 * 业务字典接口
 * @author tajochen
 */
public interface DicBusinessService {

    /**
     * 获取所有土壤类型
     * @return
     */
    Iterable<DicSoilClassifyEntity> getAllSoilClassify();

    /**
     * 获取所有土地利用类型
     * @return
     */
    Iterable<DicLandClassifyEntity> getAllLandClassify();

    /**
     * 获取所有旱情类型
     * @return
     */
    Iterable<DicDroughtClassifyEntity> getAllDroughtClassify();

    /**
     * 获取所有种植结构类型
     * @return
     */
    Iterable<DicCropClassifyEntity> getAllCropClassify();

    /**
     * 获取所有产品类型
     * @return
     */
    Iterable<DicProductEntity> getAllProduct();

}
