package com.xkrs.microservice.service;

import com.xkrs.microservice.common.tool.PageBean;
import com.xkrs.microservice.model.entity.WeatherEntity;

import java.util.List;

/**
 * @author XinYi Song
 */
public interface WeatherService {

    /**
     * 动态多条件查询气候信息
     * @param page
     * @param addTimeStart
     * @param addTimeEnd
     * @return
     */
    PageBean queryWeather(Integer page, String addTimeStart, String addTimeEnd);

    /**
     * 根据时间段查询气象信息
     * @param addTimeStart
     * @param addTimeEnd
     * @return
     */
    List<WeatherEntity> selectWeather(String addTimeStart, String addTimeEnd);
}
