package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.FileAppEntity;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * AppFileDao
 * @author tajochen
 */
public interface AppFileDao extends JpaRepository<FileAppEntity,Integer> {

    /**
     * 获取指定版本号的记录
     * @param versionNumber 版本号
     * @return
     */
    Iterable<FileAppEntity> findByVersionNumber(String versionNumber);

}
