package com.xkrs.microservice.dao;

import com.xkrs.microservice.model.entity.MeteorologicalStationEntity;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * RelAdmWeatherStationDao
 * @author tajochen
 */
public interface MeteorologicalStationDao extends JpaRepository<MeteorologicalStationEntity,Integer> {

    /**
     * 获取天气城市站点信息
     * @param code
     * @return
     */
    MeteorologicalStationEntity findByCode(Integer code);

}
