package com.xkrs.microservice.model.vo;

import java.io.Serializable;

/**
 * ShpCityVo
 * @author tajochen
 */
public class ShpCityVo implements Serializable {

    private Integer id;

    private Integer code;

    private String name;

    private Integer proCode;

    private String proName;

    private double shapeArea;

    private String center;

    public ShpCityVo(Integer id, Integer code, String name, Integer proCode, String proName, double shapeArea,
                     String center) {
        this.id = id;
        this.code = code;
        this.name = name;
        this.proCode = proCode;
        this.proName = proName;
        this.shapeArea = shapeArea;
        this.center = center;
    }

    public ShpCityVo() {

    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getProCode() {
        return proCode;
    }

    public void setProCode(Integer proCode) {
        this.proCode = proCode;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public double getShapeArea() {
        return shapeArea;
    }

    public void setShapeArea(double shapeArea) {
        this.shapeArea = shapeArea;
    }

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    @Override
    public String toString() {
        return "ShpCityVo{" +
                "id=" + id +
                ", code=" + code +
                ", name='" + name + '\'' +
                ", proCode=" + proCode +
                ", proName='" + proName + '\'' +
                ", shapeArea=" + shapeArea +
                ", center='" + center + '\'' +
                '}';
    }
}

