package com.xkrs.microservice.model.vo;

import java.io.Serializable;

/**
 * ShpCountyVo
 * @author tajochen
 */
public class ShpCountyVo implements Serializable {

    private Integer id;

    private Integer code;

    private String name;

    private Integer cityCode;

    private String cityName;

    private Integer proCode;

    private String proName;

    private double shapeArea;

    private String center;

    private String memo;


    public ShpCountyVo(Integer id, Integer code, String name, Integer cityCode, String cityName, Integer proCode,
                       String proName, double shapeArea, String center, String memo) {
        this.id = id;
        this.code = code;
        this.name = name;
        this.cityCode = cityCode;
        this.cityName = cityName;
        this.proCode = proCode;
        this.proName = proName;
        this.shapeArea = shapeArea;
        this.center = center;
        this.memo = memo;
    }

    public ShpCountyVo() {

    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getCityCode() {
        return cityCode;
    }

    public void setCityCode(Integer cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public Integer getProCode() {
        return proCode;
    }

    public void setProCode(Integer proCode) {
        this.proCode = proCode;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public double getShapeArea() {
        return shapeArea;
    }

    public void setShapeArea(double shapeArea) {
        this.shapeArea = shapeArea;
    }

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    public String toString() {
        return "ShpCountyVo{" +
                "id=" + id +
                ", code=" + code +
                ", name='" + name + '\'' +
                ", cityCode=" + cityCode +
                ", cityName='" + cityName + '\'' +
                ", proCode=" + proCode +
                ", proName='" + proName + '\'' +
                ", shapeArea=" + shapeArea +
                ", center='" + center + '\'' +
                ", memo='" + memo + '\'' +
                '}';
    }
}
