package com.xkrs.microservice.service;

import com.xkrs.microservice.model.entity.SysAuthorityEntity;

import java.util.List;

/**
 * 系统权限服务接口
 * @author tajochen
 */
public interface SysAuthorityService {

    /**
     * 获取权限实体列表根据用户名
     * @param userName
     * @return
     */
    List<SysAuthorityEntity> getSysAuthorityListByUserName(String userName);
}
