package com.xkrs.microservice.service.impl;

import com.xkrs.microservice.dao.SysAuthorityDao;
import com.xkrs.microservice.model.entity.SysAuthorityEntity;
import com.xkrs.microservice.service.SysAuthorityService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统权限服务实现
 * @author tajochen
 */
@Service
public class SysAuthorityServiceImpl implements SysAuthorityService {

    Logger logger = LoggerFactory.getLogger(SysAuthorityServiceImpl.class);

    @Resource
    private SysAuthorityDao sysAuthorityDao;

    @Override
    public List<SysAuthorityEntity> getSysAuthorityListByUserName(String userName) {
        return  sysAuthorityDao.selectByUserName(userName);
    }
}
