package com.xkrs.microservice.service.impl;

import com.xkrs.microservice.dao.SysRoleDao;
import com.xkrs.microservice.model.entity.SysRoleEntity;
import com.xkrs.microservice.service.SysRoleService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统角色服务实现
 * @author tajochen
 */
@Service
public class SysRoleServiceImpl implements SysRoleService {

    Logger logger = LoggerFactory.getLogger(SysRoleServiceImpl.class);

    @Resource
    private SysRoleDao sysRoleDao;

    @Override
    public List<SysRoleEntity> getSysRoleListByUserName(String userName) {
        return  sysRoleDao.selectByUserName(userName);
    }
}
