package com.xkrs.microservice.util;

import org.geolatte.geom.Geometry;
import org.geolatte.geom.Point;
import org.geolatte.geom.codec.Wkt;

/**
 * 开源Gis工具集
 * @author tajochen
 */
public class OpenGeoUtil {

    /**
     * wkt文本转为点数据
     * @param wkt wkt文本
     * @return
     */
    public static Point wktStrToPoint(String wkt) {
        return (Point) Wkt.fromWkt(wkt);
    }

    /**
     * wkt文本转geometry
     * @param wkt wkt文本
     * @return
     */
    public static Geometry wktStrToGeom(String wkt) {
        return Wkt.fromWkt(wkt);
    }

}
